// Fill out your copyright notice in the Description page of Project Settings.

#include "MagicFloatInput.h"

void UMagicFloatInput::HandleOnTextCommitted(
    FText const & inText,
    ETextCommit::Type inCommitMethod
) {
  if (inText.IsEmptyOrWhitespace()) {
    if (sourceInput != nullptr) {
      SetText(sourceInput->GetText());
    } else {
      auto x = FCString::Atof(*inText.ToString());
      SetText(FText::FromString(FString::Printf(TEXT("%.7f"), x)));
    }
  }
}