// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "Components/EditableTextBox.h"
#include "CoreMinimal.h"
#include "MagicFloatInput.generated.h"

/**
 *
 */
UCLASS()
class MYPROJECT_API UMagicFloatInput : public UEditableTextBox {
  GENERATED_BODY()

  void HandleOnTextCommitted(
      FText const & Text,
      ETextCommit::Type CommitMethod
  ) override;

  UPROPERTY(EditAnywhere)
  UEditableTextBox * sourceInput;
};
